/*
 * gre/uilidar - GRE User Interface definitions for Lidar layer
 *
 * \if NODOC
 * $Id: uilidar.h_v 1.1 2010/04/23 16:55:03 mju Exp $
 *
 * $Log: uilidar.h_v $
 * Revision 1.1  2010/04/23 16:55:03  mju
 * Initial revision
 *
 * \endif
 */

#ifndef	INC_GRE_UILIDAR_H
#define	INC_GRE_UILIDAR_H

#ifndef	INC_GRE_LRLIDAR_H
#include <gre/lrlidar.h>
#endif

#ifdef USE_MGUI

#ifndef	INC_MGUI_DLGSHELL_H
#include <mgui/dlgshell.h>
#endif

namespace GRE {
//===================================================================================================================
//! Dialog for modifying vector layer display settings.
class LAYER_LIDAR::DISPPARM::DLG : public MGUI::DLGSHELL {
	public:

		//! Constructor.
		DLG (
			LAYER_LIDAR* LidarLayer,
			bool Include3D
			);

		//! Destructor.
		virtual ~DLG ();

		//! Get 'mask' for which LAYERDRAWFLAG values are settable on dialog.
		LAYERDRAWFLAGS GetLayerDrawFlagMask (
			) const { return (LAYERDRAWFLAG_None); }

		//! Get current LAYERDRAWFLAGS settings.
		LAYERDRAWFLAGS GetLayerDrawFlags (
			) const;

		//! Get current DISPPARM values.
		const LAYER_LIDAR::DISPPARM& GetValues (
			) const;

		//! Set DISPPARM and LAYERDRAWFLAGS values.
		ERRVALUE SetValues (
			const LAYER_LIDAR::DISPPARM& values,
			LAYERDRAWFLAGS LayerDrawFlags
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;
		PRIV *m_pPriv;
		LAYER_LIDAR *m_layer;

		void ApplyChanges (bool ForceRedraw);

		virtual ERRVALUE v_CreateContent ();
		virtual void v_OnApply ();
		virtual void v_OnClose ();
		virtual void v_OnOK ();
		virtual void v_OnOpen ();

		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//===================================================================================================================
}	// End namespace GRE

#endif	// USE_MGUI

#endif	// INC_GRE_UILIDAR_H

