/**
 * \file gre/uilrglob.h
 * \brief User Interface classes for GRE_LAYER::GLOBALOPTIONS.
 *
 * \if NODOC
 * $Id: uilrglob.h_v 1.7 2011/11/28 17:22:30 mju Exp $
 *
 * $Log: uilrglob.h_v $
 * Revision 1.7  2011/11/28 17:22:30  mju
 * Fix dox dependencies.
 *
 * Revision 1.6  2005/10/17 15:26:21  mju
 * Use gre namespace.
 *
 * Revision 1.1  2003/03/04 17:59:21  mju
 * Initial revision
 * \endif
**/

#ifndef	INC_GRE_UILRGLOB_H
#define	INC_GRE_UILRGLOB_H

#ifndef	INC_GRE_LAYER_H
#include <gre/layer.h>
#endif

#ifndef	INC_MGUI_FORM
#include <mgui/form.h>
#endif


namespace GRE {
//===================================================================================================================
//!	Form for modifying GRE_LAYER::GLOBALOPTIONS.
class LAYER::GLOBALOPTIONS::FORM : public MGUI::FORM_COMPOSITE {
	public:

		//! Constructor.
		FORM (
			);

		//! Destructor.
		virtual ~FORM (
			);

		//! Create the form.
		void Create (
			MGUI::LAYOUT_PANE_BASE& ParentPane
			);

		//! Get current value settings.
		const LAYER::GLOBALOPTIONS& GetValues (
			) const;

		//! Set new values.
		void SetValues (
			const LAYER::GLOBALOPTIONS& values		//!< New values to set
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;
		PRIV *m_pPriv;
		#endif //!< GENERATING_DOXYGEN_OUTPUT
	};

//===================================================================================================================
}	// End namespace GRE

#endif	//!< INC_GRE_UILRGLOB_H
