/**
 * \file gre/uiviewtoolid.h
 * \brief GRE VIEWTOOLID enum definition
 *
 * \if NODOC
 * $Id: uiviewtoolid.h_v 1.7 2011/11/28 17:17:12 mju Exp $
 *
 * $Log: uiviewtoolid.h_v $
 * Revision 1.7  2011/11/28 17:17:12  mju
 * Fix dox dependencies.
 *
 * Revision 1.6  2011/10/04 21:38:12  mju
 * Add viewpos3d.
 *
 * Revision 1.5  2011/08/17 19:26:29  mju
 * Add toolid_Sketch.
 *
 * Revision 1.4  2008/06/04 13:33:53  bcolombe
 * Added PointProfile
 *
 * Revision 1.3  2008/04/16 14:12:41  mju
 * Use dragZoom id.
 *
 * Revision 1.2  2007/11/26 16:34:28  mju
 * Add viewtoolid_None.
 *
 * Revision 1.1  2007/10/08 20:36:32  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_GRE_UIVIEWTOOLID_H
#define	INC_GRE_UIVIEWTOOLID_H

namespace GRE {
namespace UI {
//===================================================================================================================

//! IDs for builtin view tools.
enum VIEWTOOLID {
	VIEWTOOLID_None =					-1,
	VIEWTOOLID_Unspecified =		0,
	VIEWTOOLID_Zoom,
	VIEWTOOLID_Recenter,
	VIEWTOOLID_DragZoom,
	VIEWTOOLID_SelectPoint,
	VIEWTOOLID_GeoToolbox,
	VIEWTOOLID_ViewInView,
	VIEWTOOLID_Placement,
	VIEWTOOLID_HyperNavigate,
	VIEWTOOLID_HyperEdit,
	VIEWTOOLID_ExamineRaster,
	VIEWTOOLID_PointProfile,
	VIEWTOOLID_Sketch,
	VIEWTOOLID_ViewPos3D,
	};

//===================================================================================================================
}	// End namespace UI
}	// End namespace GRE

#endif	// INC_GRE_UIVIEWTOOLID_H
