/**
 * \file mgui/ctrlpopupbuttonradio.h
 * \brief MGUI::CTRL_POPUPBUTTON_RADIO
 *
 * \if NODOC
 * $Id: ctrlpopupbuttonradio.h_v 1.1 2011/08/25 21:17:44 mju Exp $
 *
 * $Log: ctrlpopupbuttonradio.h_v $
 * Revision 1.1  2011/08/25 21:17:44  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MGUI_CTRLPOPUPBUTTONRADIO
#define	INC_MGUI_CTRLPOPUPBUTTONRADIO

#ifndef	INC_MGUI_CTRLPOPUPBUTTON_H
#include <mgui/ctrlpopupbutton.h>
#endif

#ifndef	INC_MGUI_POPUPRADIO_H
#include <mgui/popupradio.h>
#endif

namespace MGUI {

//=====================================================================================================================
//! Pushbutton associated with POPUP_RADIO.
//! Will automatically update button icon when popup closed.
class CTRL_POPUPBUTTON_RADIO : public CTRL_POPUPBUTTON {
	public:

		//! Constructor.
		CTRL_POPUPBUTTON_RADIO ();

		//! Destructor.
		virtual ~CTRL_POPUPBUTTON_RADIO ();

		//! Access POPUP_RADIO associated with button.
		POPUP_RADIO& GetPopup ()
			{ return (m_Popup); }

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		POPUP_RADIO m_Popup;

		virtual ERRVALUE v_OpenPopup ();
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//=====================================================================================================================

}	// End namespace MGUI

#endif	// INC_MGUI_CTRLPOPUPBUTTONRADIO
