/**
 * \file mi32/delegatefilter.h
 * \brief DELEGATE_FILTER_... type definitions
 *
 * \if NODOC
 * $Id: delegatefilter.h_v 1.1 2009/10/22 16:16:04 mju Exp $
 *
 * $Log: delegatefilter.h_v $
 * Revision 1.1  2009/10/22 16:16:04  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_DELEGATEFILTER_H
#define	INC_MI32_DELEGATEFILTER_H

#ifndef	INC_MI32_DELEGATE_H
#include <mi32/delegate.h>
#endif

#ifndef GENERATING_DOXYGEN_OUTPUT
class FILEPATH;
class MISTRING;
namespace RVC {
	class OBJITEM;
	class OBJITEMLIST;
	}
#endif

//! Delegate to filter FILEPATH.
//! @return < 0 if error, 0 (FALSE) if not usable, 1 (TRUE) if usable.
//! Position parameter will be -1 unless filtering for use in a predefined "set".
typedef fastdelegate::FastDelegate<int(const FILEPATH&, MISTRING&, int)> DELEGATE_FILTER_FILEPATH;

//! Delegate to filter RVC::OBJITEM.
//! @return < 0 if error, 0 (FALSE) if not usable, 1 (TRUE) if usable.
//! Position parameter will be -1 unless filtering for use in a predefined "set".
typedef fastdelegate::FastDelegate<int(const RVC::OBJITEM&, MISTRING&, int)> DELEGATE_FILTER_OBJITEM;

//! Delegate to filter RVC::OBJITEMLIST.
//! @return < 0 if error, 0 (FALSE) if not usable, 1 (TRUE) if usable.
typedef fastdelegate::FastDelegate<int(const RVC::OBJITEMLIST&, MISTRING&)> DELEGATE_FILTER_OBJITEMLIST;


#endif	// INC_MI32_DELEGATEFILTER_H
