/**
 * \file <mi32/lidaruidlgs.h>
 * \brief LIDAR UI dialogs
 *
 * \if NODOC
 * $Id: lidaruidlgs.h_v 1.3 2012/10/10 15:35:45 mju Exp $
 *
 * $Log: lidaruidlgs.h_v $
 * Revision 1.3  2012/10/10 15:35:45  mju
 * Add dlgReportClassChanges.
 *
 * Revision 1.2  2011/08/05 15:23:21  mju
 * Add dlgEditClasses using classdescset.
 *
 * Revision 1.1  2011/07/15 17:04:12  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_LIDARUIDLGS_H
#define	INC_MI32_LIDARUIDLGS_H

#ifndef	INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

#ifndef GENERATING_DOXYGEN_OUTPUT
// Forward declarations
class FILEPATH;
class MISTRING;
class DATETIME;
namespace LIDAR {
	class CLASSDESCSET;
	namespace LAS {
		class DATASET;
		}
	}
#endif

namespace LIDAR {
namespace UI {

//! Dialog to allow editing of Lidar classes.
void DlgEditClasses (
	MDLGPARENT dlgparent,			//!< Parent for dialog
	FILEPATH& filepath				//!< Path to class definitions passed/returned, pass empty path for "new".
	);

//! Dialog to allow editing of Lidar classes.
ERRVALUE DlgEditClasses (
	MDLGPARENT dlgparent,			//!< Parent for dialog
	CLASSDESCSET& ClassDescSet		//!< Class descriptions
	);

//! Dialog to report changes in classification since specified time.
void DlgReportClassChanges (
	MDLGPARENT dlgparent,			//!< Parent for dialog
	LAS::DATASET& dataset,			//!< Dataset to read
	const DATETIME& TimeStamp		//!< Timestamp of previous classification
	);

}	// End namespace UI
}	// End namespace LIDAR

#endif	// INC_MI32_LIDARUIDLGS_H
